
QGIS Application - Feature request #1064

Raster to SVG plugin converter

2008-05-06 04:23 AM - pls -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: wontfix

Easy fix?: No Copied to github as #: 11124

Description

A lot of symbols used in other projects are bitmap or jpeg files; to not break the work flow during a map preparation, it would be very

useful to have a QGIS-integrated pugin to convert raster files to SVG.

History

#1 - 2008-05-08 09:08 AM - Steven Bell -

It's probably easier to add support for raster symbols than to convert them to SVG, unless you know of tool that does that.  The SVG (vector) to raster

conversion is easy - going the other way isn't.

#2 - 2009-07-20 12:21 AM - Paolo Cavallini

Is this still valid?

#3 - 2010-06-11 09:45 PM - Paolo Cavallini

- Resolution set to wontfix

- Status changed from Open to Closed

I do not think adding support for raster symbols is a great idea: they become ugly when large. Converting raster to svg can be done with a number of FOSS

tools, and can be a tricky thing - I do not see it reasonable to do it within QGIS
